package com.gic.haoban.manage.service.entity;

import java.io.Serializable ;

public class TabHaobanTaskNotice implements Serializable{

	private static final long serialVersionUID = 196969807081000L;
	
	/**id*/
	private long id;
	/**企业id*/
	private String enterpriseId;
	/**计划id*/
	private String planId;
	/**1群发 2话务 3社群 4朋友圈*/
	private int planType;
	/**说明*/
	private String remark;
	/**创建人*/
	private String creatorId;
	/**创建时间*/
	private java.util.Date createTime;
	/**更新时间*/
	private java.util.Date updateTime;
	/**1未处理 2已处理*/
	private int statusFlag;

	public void setId(long id){
		this.id = id;
	}

	public long getId(){
		return id;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setPlanId(String planId){
		this.planId = planId;
	}
	
	public String getPlanId(){
		return planId;
	}
	public void setPlanType(int planType){
		this.planType = planType;
	}
	
	public int getPlanType(){
		return planType;
	}
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return remark;
	}
	public void setCreatorId(String creatorId){
		this.creatorId = creatorId;
	}
	
	public String getCreatorId(){
		return creatorId;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setStatusFlag(int statusFlag){
		this.statusFlag = statusFlag;
	}
	
	public int getStatusFlag(){
		return statusFlag;
	}
}